Get Professional Resume
GET /professionals/resumes
GET
/professionals/resumes
Allows a professional to retrieve their own resume details. If postingId is provided, returns the resume snapshot from when the professional applied to that posting. Without postingId, returns the latest resume version.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” postingId
string
Posting ID to retrieve resume snapshot for
Responses
Section titled “ Responses ”Successfully retrieved the professional’s resume
object
data
object
createdAt
string
createdBy
string
education
Array<object>
object
createdAt
string
createdBy
string
graduationDate
string
institutionName
string
updatedAt
string
updatedBy
string
experiences
Array<object>
object
createdAt
string
createdBy
string
employerName
string
endDate
string
isCurrentEmployer
boolean
startDate
string
title
string
updatedAt
string
updatedBy
string
id
string
professionalEmail
string
professionalFirstName
string
professionalId
Professional details
string
professionalLastName
string
professionalName
string
professionalPhone
string
summary
string
updatedAt
string
updatedBy
string
Unauthorized (e.g., missing or invalid token)
object
error
string
Forbidden (Professional ID not found in token, or professional has not applied to the posting)
object
error
string
Internal Server Error (e.g., database error, service failure)
object
error
string